'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.update = exports.set = exports.disable = exports.enable = undefined;

var _exec = require('../utils/exec');

const enable = exports.enable = (time = 60) => {
  (0, _exec.runSyncAsUser)('./screensaver.sh', ['enable', time]);
};

const disable = exports.disable = () => {
  (0, _exec.runSyncAsUser)('./screensaver.sh', ['disable']);
};

let screensaverState = null;

const set = exports.set = () => {
  if (screensaverState) {
    enable(screensaverState);
  } else {
    disable();
  }
};

const update = exports.update = (config, shouldSet = true) => {
  if (config.screenSaver === screensaverState) return;

  screensaverState = config.screenSaver;
  if (shouldSet) set();
};
//# sourceMappingURL=screensaver.js.map